"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const bs_1 = require("react-icons/bs");
const rx_1 = require("react-icons/rx");
const Toast = ({ message, type, textStyle, containerStyle, position, }) => {
    const mergedStylePara = Object.assign(Object.assign({}, textStyle), { padding: "0px 15px", borderRadius: "10px", width: "100%" });
    const mergedStyleContainer = Object.assign(Object.assign({}, containerStyle), { width: "300px", backgroundColor: "#fff", boxShadow: "0 0 12px rgba(0, 0, 0, 0.2)", borderRadius: "10px", margin: "10px", position: "absolute", top: position === "top" ? "10px" : undefined, bottom: position === "bottom" ? "10px" : undefined, left: position === "left" ? "10px" : undefined, right: position === "right" ? "10px" : undefined });
    const centerStyleContainer = Object.assign(Object.assign({}, containerStyle), { width: "300px", backgroundColor: "#fff", boxShadow: "0 0 12px rgba(0, 0, 0, 0.2)", borderRadius: "10px", margin: "10px", position: "absolute", left: "0", right: "0", marginLeft: "auto", marginRight: "auto" });
    return (react_1.default.createElement("div", { style: position === "center" ? centerStyleContainer : mergedStyleContainer },
        react_1.default.createElement("div", { style: { display: "flex", justifyContent: "center", width: "100%" } },
            type === "success" ? (react_1.default.createElement(bs_1.BsFillCheckCircleFill, { color: "#3aee41", size: 30, style: {
                    display: "flex",
                    justifyContent: "center",
                    alignItems: "center",
                    margin: "auto",
                    marginLeft: "10px",
                } })) : (react_1.default.createElement(rx_1.RxCross1, { color: "white", style: {
                    display: "flex",
                    justifyContent: "center",
                    alignItems: "center",
                    margin: "auto",
                    marginLeft: "10px",
                    background: "red",
                    borderRadius: "50%",
                    padding: "5px",
                    fontSize: "12px",
                } })),
            react_1.default.createElement("p", { style: mergedStylePara }, message))));
};
exports.default = Toast;
