"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CreateToast = void 0;
const react_1 = __importDefault(require("react"));
const react_dom_1 = __importDefault(require("react-dom"));
const Toast_1 = __importDefault(require("./Toast"));
const CreateToast = ({ type, message, duration, textStyle, containerStyle, position, }) => {
    const div = document.createElement("div");
    document.body.appendChild(div);
    react_dom_1.default.render(react_1.default.createElement(Toast_1.default, { message: message, type: type, duration: duration, textStyle: textStyle, containerStyle: containerStyle, position: position }), div);
    setTimeout(() => {
        react_dom_1.default.unmountComponentAtNode(div);
        div.remove();
    }, duration || 2000);
};
exports.CreateToast = CreateToast;
